toolzerhub API Docs

List video danmaku

Returns danmaku (floating comments) for a time window of one video. duration should be the video length in milliseconds from the video detail.

2 credits / requestBilled only on success
GET
/v2/douyin/videos/danmaku

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

aweme_id*string

Douyin video id, or any douyin.com video URL (/video/, /note/, an iesdouyin share link, or a ?modal_id= link).

Length1 <= length
duration?|

Total video length in milliseconds, as reported on the video detail.

Range0 <= value <= 9007199254740991
Default0
start_time?|

Start of the window to read danmaku from, in milliseconds.

Range0 <= value <= 9007199254740991
Default0
end_time?|

End of the window to read danmaku from, in milliseconds.

Range0 <= value <= 9007199254740991
Default0
curl -X GET "https://example.com/v2/douyin/videos/danmaku?aweme_id=7448118827402972455" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "danmaku_list": null,    "total": 7,    "start_time": 0  }}